## loci.formats
Interface BZip2Constants

All Known Implementing Classes:
  CBZip2InputStream

public interface BZip2Constants

Base class for both the compress and decompress classes. Holds common arrays, and static data.

Field Summary
`static int` `BASE_BLOCK_SIZE`
`static int` `G_SIZE`
`static int` `MAX_ALPHA_SIZE`
`static int` `MAX_CODE_LEN`
`static int` `MAX_SELECTORS`
`static int` `N_GROUPS`
`static int` `N_ITERS`
`static int` `NUM_OVERSHOOT_BYTES`
`static int[]` `R_NUMS`
`static int` `RUNA`
`static int` `RUNB`

Field Detail

### BASE_BLOCK_SIZE

    public static final int BASE_BLOCK_SIZE

See Also:
  Constant Field Values

### MAX_ALPHA_SIZE

    public static final int MAX_ALPHA_SIZE

See Also:
  Constant Field Values

### MAX_CODE_LEN

    public static final int MAX_CODE_LEN

See Also:
  Constant Field Values

### RUNA

    public static final int RUNA

See Also:
  Constant Field Values

### RUNB

    public static final int RUNB

See Also:
  Constant Field Values

### N_GROUPS

    public static final int N_GROUPS

See Also:
  Constant Field Values

### G_SIZE

    public static final int G_SIZE

See Also:
  Constant Field Values

### N_ITERS

    public static final int N_ITERS

See Also:
  Constant Field Values

### MAX_SELECTORS

    public static final int MAX_SELECTORS

See Also:
  Constant Field Values

### NUM_OVERSHOOT_BYTES

    public static final int NUM_OVERSHOOT_BYTES

See Also:
  Constant Field Values

### R_NUMS

    public static final int[] R_NUMS